-- Deploy numerus:invoice_attachment to pg
-- requires: schema_numerus
-- requires: roles
-- requires: invoice

begin;

set search_path to numerus, public;

create table invoice_attachment (
	invoice_id integer primary key references invoice,
	original_filename text not null,
	mime_type text not null,
	content bytea not null
);

grant select, insert, update, delete on table invoice_attachment to invoicer;
grant select, insert, update, delete on table invoice_attachment to admin;

alter table invoice_attachment enable row level security;

create policy company_policy
on invoice_attachment
using (
	exists(
		select 1
		from invoice
		where invoice.invoice_id = invoice_attachment.invoice_id
	)
);

commit;
